package cn.ibizlab.r7.runtime.org.mybatis.r7rt_org;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;

import cn.ibizlab.r7.runtime.org.core.repository.OrgDeptRepository;
import cn.ibizlab.r7.runtime.org.core.repository.po.OrgDept;
import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgDeptSearchContext;
import cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.mapper.T_ORGDEPTMapper;
import cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.po.T_ORGDEPTImpl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.r7.runtime.org.mybatis.util.helper.QueryBuilder;


/**
 * 关系型数据实体表[T_ORGDEPT]存储对象
 */
@Repository
@ConditionalOnProperty(prefix = "orgdept", value="store" , havingValue = "sql", matchIfMissing = true)
public class T_ORGDEPTRepositoryImpl extends ServiceImpl<T_ORGDEPTMapper, T_ORGDEPTImpl> implements OrgDeptRepository {

    
    /**
     * mybatis条件构造器
     */
    @Autowired
    QueryBuilder queryBuilder;
    /**
     * [T_ORGDEPT]持久层映射对象
     */
    @Autowired
	T_ORGDEPTMapper t_ORGDEPTMapper;

    /**
     * 创建持久层对象
     * @return
     */
    public OrgDept createPO(){
        return new T_ORGDEPTImpl();
    }

    /**
     * 获取数据
     * @param key 业务数据主键
     * @return
     */
    public OrgDept get(String key){
        return this.getById(key);
    }

    /**
     * 新建数据
     * @param po 持久层数据对象
     * @return
     */
    public boolean create(OrgDept po){
        boolean bOk = this.save((T_ORGDEPTImpl)po);
        return bOk;
    }

    /**
     * 更新数据
     * @param po 持久层数据对象
     * @return
     */
    public boolean update(OrgDept po){
        boolean bOk = this.updateById((T_ORGDEPTImpl)po);
        return bOk;
    }

    /**
     * 删除数据
     * @param key 业务数据主键
     * @return
     */
    public boolean remove(String key){
        return this.removeById(key);
    }

    /**
     * 查询集合[Default]
     * @param context 查询上下文对象
     * @return
     */
    public Page<OrgDept> searchDefault(OrgDeptSearchContext context){
        QueryWrapper qw=queryBuilder.buildQueryWrapper(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page page=queryBuilder.buildPage(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<OrgDept> page_datas=t_ORGDEPTMapper.searchDefault(page,context,qw);
        List<OrgDept> list_datas=queryBuilder.page2List(page_datas);
        return new PageImpl<OrgDept>(list_datas, context.getPageable(), page_datas.getTotal());
    }

    /**
     * 查询集合[CUR_ORG]
     * @param context 查询上下文对象
     * @return
     */
    public Page<OrgDept> searchCUR_ORG(OrgDeptSearchContext context){
        QueryWrapper qw=queryBuilder.buildQueryWrapper(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page page=queryBuilder.buildPage(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<OrgDept> page_datas=t_ORGDEPTMapper.searchCUR_ORG(page,context,qw);
        List<OrgDept> list_datas=queryBuilder.page2List(page_datas);
        return new PageImpl<OrgDept>(list_datas, context.getPageable(), page_datas.getTotal());
    }

    /**
     * 持久层对象转业务对象
     * @param po 持久层对象
     * @param domain 业务对象
     * @return
     */
    public cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDept convert2Domain( OrgDept po ,cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDept domain){
        if(po == null)
            return domain ;
        if(domain == null){
            domain = new cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDept();
        }
        //if(po.getCreateManDirtyFlag())
        domain.setCreateMan(po.getCreateMan());
        //if(po.getOrgDeptIdDirtyFlag())
        domain.setOrgDeptId(po.getOrgDeptId());
        //if(po.getUpdateDateDirtyFlag())
        domain.setUpdateDate(po.getUpdateDate());
        //if(po.getEnableDirtyFlag())
        domain.setEnable(po.getEnable());
        //if(po.getCreateDateDirtyFlag())
        domain.setCreateDate(po.getCreateDate());
        //if(po.getOrgDeptNameDirtyFlag())
        domain.setOrgDeptName(po.getOrgDeptName());
        //if(po.getUpdateManDirtyFlag())
        domain.setUpdateMan(po.getUpdateMan());
        //if(po.getLevelCodeDirtyFlag())
        domain.setLevelCode(po.getLevelCode());
        //if(po.getDeptCodeDirtyFlag())
        domain.setDeptCode(po.getDeptCode());
        //if(po.getPOrgDeptNameDirtyFlag())
        domain.setPOrgDeptName(po.getPOrgDeptName());
        //if(po.getOrgNameDirtyFlag())
        domain.setOrgName(po.getOrgName());
        //if(po.getOrgIdDirtyFlag())
        domain.setOrgId(po.getOrgId());
        //if(po.getPOrgDeptIdDirtyFlag())
        domain.setPOrgDeptId(po.getPOrgDeptId());
        return domain ;
    }

    /**
     * 业务对象转持久层对象
     * @param domain 业务对象
     * @param po 持久层对象
     * @return
     */
    public OrgDept convert2PO(cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDept domain , OrgDept po){
        if(domain == null)
            return po ;
        if(po==null){
            po = createPO() ;
        }
        if(domain.getCreateManDirtyFlag())
            po.setCreateMan(domain.getCreateMan());
        if(domain.getOrgDeptIdDirtyFlag())
            po.setOrgDeptId(domain.getOrgDeptId());
        if(domain.getUpdateDateDirtyFlag())
            po.setUpdateDate(domain.getUpdateDate());
        if(domain.getEnableDirtyFlag())
            po.setEnable(domain.getEnable());
        if(domain.getCreateDateDirtyFlag())
            po.setCreateDate(domain.getCreateDate());
        if(domain.getOrgDeptNameDirtyFlag())
            po.setOrgDeptName(domain.getOrgDeptName());
        if(domain.getUpdateManDirtyFlag())
            po.setUpdateMan(domain.getUpdateMan());
        if(domain.getLevelCodeDirtyFlag())
            po.setLevelCode(domain.getLevelCode());
        if(domain.getDeptCodeDirtyFlag())
            po.setDeptCode(domain.getDeptCode());
        if(domain.getPOrgDeptNameDirtyFlag())
            po.setPOrgDeptName(domain.getPOrgDeptName());
        if(domain.getOrgNameDirtyFlag())
            po.setOrgName(domain.getOrgName());
        if(domain.getOrgIdDirtyFlag())
            po.setOrgId(domain.getOrgId());
        if(domain.getPOrgDeptIdDirtyFlag())
            po.setPOrgDeptId(domain.getPOrgDeptId());

        return po ;
    }
}
