package cn.ibizlab.r7.runtime.org.mybatis.r7rt_org;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;

import cn.ibizlab.r7.runtime.org.core.repository.OrgDeptUserRepository;
import cn.ibizlab.r7.runtime.org.core.repository.po.OrgDeptUser;
import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgDeptUserSearchContext;
import cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.mapper.T_ORGDEPTUSERMapper;
import cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.po.T_ORGDEPTUSERImpl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.r7.runtime.org.mybatis.util.helper.QueryBuilder;


/**
 * 关系型数据实体表[T_ORGDEPTUSER]存储对象
 */
@Repository
@ConditionalOnProperty(prefix = "orgdeptuser", value="store" , havingValue = "sql", matchIfMissing = true)
public class T_ORGDEPTUSERRepositoryImpl extends ServiceImpl<T_ORGDEPTUSERMapper, T_ORGDEPTUSERImpl> implements OrgDeptUserRepository {

    
    /**
     * mybatis条件构造器
     */
    @Autowired
    QueryBuilder queryBuilder;
    /**
     * [T_ORGDEPTUSER]持久层映射对象
     */
    @Autowired
	T_ORGDEPTUSERMapper t_ORGDEPTUSERMapper;

    /**
     * 创建持久层对象
     * @return
     */
    public OrgDeptUser createPO(){
        return new T_ORGDEPTUSERImpl();
    }

    /**
     * 获取数据
     * @param key 业务数据主键
     * @return
     */
    public OrgDeptUser get(String key){
        return this.getById(key);
    }

    /**
     * 新建数据
     * @param po 持久层数据对象
     * @return
     */
    public boolean create(OrgDeptUser po){
        boolean bOk = this.save((T_ORGDEPTUSERImpl)po);
        return bOk;
    }

    /**
     * 更新数据
     * @param po 持久层数据对象
     * @return
     */
    public boolean update(OrgDeptUser po){
        boolean bOk = this.updateById((T_ORGDEPTUSERImpl)po);
        return bOk;
    }

    /**
     * 删除数据
     * @param key 业务数据主键
     * @return
     */
    public boolean remove(String key){
        return this.removeById(key);
    }

    /**
     * 查询集合[Default]
     * @param context 查询上下文对象
     * @return
     */
    public Page<OrgDeptUser> searchDefault(OrgDeptUserSearchContext context){
        QueryWrapper qw=queryBuilder.buildQueryWrapper(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page page=queryBuilder.buildPage(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<OrgDeptUser> page_datas=t_ORGDEPTUSERMapper.searchDefault(page,context,qw);
        List<OrgDeptUser> list_datas=queryBuilder.page2List(page_datas);
        return new PageImpl<OrgDeptUser>(list_datas, context.getPageable(), page_datas.getTotal());
    }

    /**
     * 查询集合[Getorgdeptuser]
     * @param context 查询上下文对象
     * @return
     */
    public Page<OrgDeptUser> searchGetorgdeptuser(OrgDeptUserSearchContext context){
        QueryWrapper qw=queryBuilder.buildQueryWrapper(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page page=queryBuilder.buildPage(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<OrgDeptUser> page_datas=t_ORGDEPTUSERMapper.searchGetorgdeptuser(page,context,qw);
        List<OrgDeptUser> list_datas=queryBuilder.page2List(page_datas);
        return new PageImpl<OrgDeptUser>(list_datas, context.getPageable(), page_datas.getTotal());
    }

    /**
     * 持久层对象转业务对象
     * @param po 持久层对象
     * @param domain 业务对象
     * @return
     */
    public cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDeptUser convert2Domain( OrgDeptUser po ,cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDeptUser domain){
        if(po == null)
            return domain ;
        if(domain == null){
            domain = new cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDeptUser();
        }
        //if(po.getEnableDirtyFlag())
        domain.setEnable(po.getEnable());
        //if(po.getCreateDateDirtyFlag())
        domain.setCreateDate(po.getCreateDate());
        //if(po.getUpdateManDirtyFlag())
        domain.setUpdateMan(po.getUpdateMan());
        //if(po.getUpdateDateDirtyFlag())
        domain.setUpdateDate(po.getUpdateDate());
        //if(po.getCreateManDirtyFlag())
        domain.setCreateMan(po.getCreateMan());
        //if(po.getOrgDeptUserNameDirtyFlag())
        domain.setOrgDeptUserName(po.getOrgDeptUserName());
        //if(po.getOrgDeptUserIdDirtyFlag())
        domain.setOrgDeptUserId(po.getOrgDeptUserId());
        //if(po.getOrgNameDirtyFlag())
        domain.setOrgName(po.getOrgName());
        //if(po.getOrgDeptNameDirtyFlag())
        domain.setOrgDeptName(po.getOrgDeptName());
        //if(po.getOrgUserNameDirtyFlag())
        domain.setOrgUserName(po.getOrgUserName());
        //if(po.getOrgUserIdDirtyFlag())
        domain.setOrgUserId(po.getOrgUserId());
        //if(po.getOrgDeptIdDirtyFlag())
        domain.setOrgDeptId(po.getOrgDeptId());
        //if(po.getOrgIdDirtyFlag())
        domain.setOrgId(po.getOrgId());
        return domain ;
    }

    /**
     * 业务对象转持久层对象
     * @param domain 业务对象
     * @param po 持久层对象
     * @return
     */
    public OrgDeptUser convert2PO(cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgDeptUser domain , OrgDeptUser po){
        if(domain == null)
            return po ;
        if(po==null){
            po = createPO() ;
        }
        if(domain.getEnableDirtyFlag())
            po.setEnable(domain.getEnable());
        if(domain.getCreateDateDirtyFlag())
            po.setCreateDate(domain.getCreateDate());
        if(domain.getUpdateManDirtyFlag())
            po.setUpdateMan(domain.getUpdateMan());
        if(domain.getUpdateDateDirtyFlag())
            po.setUpdateDate(domain.getUpdateDate());
        if(domain.getCreateManDirtyFlag())
            po.setCreateMan(domain.getCreateMan());
        if(domain.getOrgDeptUserNameDirtyFlag())
            po.setOrgDeptUserName(domain.getOrgDeptUserName());
        if(domain.getOrgDeptUserIdDirtyFlag())
            po.setOrgDeptUserId(domain.getOrgDeptUserId());
        if(domain.getOrgNameDirtyFlag())
            po.setOrgName(domain.getOrgName());
        if(domain.getOrgDeptNameDirtyFlag())
            po.setOrgDeptName(domain.getOrgDeptName());
        if(domain.getOrgUserNameDirtyFlag())
            po.setOrgUserName(domain.getOrgUserName());
        if(domain.getOrgUserIdDirtyFlag())
            po.setOrgUserId(domain.getOrgUserId());
        if(domain.getOrgDeptIdDirtyFlag())
            po.setOrgDeptId(domain.getOrgDeptId());
        if(domain.getOrgIdDirtyFlag())
            po.setOrgId(domain.getOrgId());

        return po ;
    }
}
