package cn.ibizlab.r7.runtime.org.mybatis.r7rt_org;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;

import cn.ibizlab.r7.runtime.org.core.repository.OrgRepository;
import cn.ibizlab.r7.runtime.org.core.repository.po.Org;
import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgSearchContext;
import cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.mapper.T_ORGMapper;
import cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.po.T_ORGImpl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.r7.runtime.org.mybatis.util.helper.QueryBuilder;


/**
 * 关系型数据实体表[T_ORG]存储对象
 */
@Repository
@ConditionalOnProperty(prefix = "org", value="store" , havingValue = "sql", matchIfMissing = true)
public class T_ORGRepositoryImpl extends ServiceImpl<T_ORGMapper, T_ORGImpl> implements OrgRepository {

    
    /**
     * mybatis条件构造器
     */
    @Autowired
    QueryBuilder queryBuilder;
    /**
     * [T_ORG]持久层映射对象
     */
    @Autowired
	T_ORGMapper t_ORGMapper;

    /**
     * 创建持久层对象
     * @return
     */
    public Org createPO(){
        return new T_ORGImpl();
    }

    /**
     * 获取数据
     * @param key 业务数据主键
     * @return
     */
    public Org get(String key){
        return this.getById(key);
    }

    /**
     * 新建数据
     * @param po 持久层数据对象
     * @return
     */
    public boolean create(Org po){
        boolean bOk = this.save((T_ORGImpl)po);
        return bOk;
    }

    /**
     * 更新数据
     * @param po 持久层数据对象
     * @return
     */
    public boolean update(Org po){
        boolean bOk = this.updateById((T_ORGImpl)po);
        return bOk;
    }

    /**
     * 删除数据
     * @param key 业务数据主键
     * @return
     */
    public boolean remove(String key){
        return this.removeById(key);
    }

    /**
     * 查询集合[Default]
     * @param context 查询上下文对象
     * @return
     */
    public Page<Org> searchDefault(OrgSearchContext context){
        QueryWrapper qw=queryBuilder.buildQueryWrapper(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page page=queryBuilder.buildPage(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<Org> page_datas=t_ORGMapper.searchDefault(page,context,qw);
        List<Org> list_datas=queryBuilder.page2List(page_datas);
        return new PageImpl<Org>(list_datas, context.getPageable(), page_datas.getTotal());
    }

    /**
     * 持久层对象转业务对象
     * @param po 持久层对象
     * @param domain 业务对象
     * @return
     */
    public cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.Org convert2Domain( Org po ,cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.Org domain){
        if(po == null)
            return domain ;
        if(domain == null){
            domain = new cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.Org();
        }
        //if(po.getLevelCodeDirtyFlag())
        domain.setLevelCode(po.getLevelCode());
        //if(po.getOrgIdDirtyFlag())
        domain.setOrgId(po.getOrgId());
        //if(po.getUpdateDateDirtyFlag())
        domain.setUpdateDate(po.getUpdateDate());
        //if(po.getCreateManDirtyFlag())
        domain.setCreateMan(po.getCreateMan());
        //if(po.getOrgCodeDirtyFlag())
        domain.setOrgCode(po.getOrgCode());
        //if(po.getOrgNameDirtyFlag())
        domain.setOrgName(po.getOrgName());
        //if(po.getEnableDirtyFlag())
        domain.setEnable(po.getEnable());
        //if(po.getUpdateManDirtyFlag())
        domain.setUpdateMan(po.getUpdateMan());
        //if(po.getCreateDateDirtyFlag())
        domain.setCreateDate(po.getCreateDate());
        //if(po.getPOrgNameDirtyFlag())
        domain.setPOrgName(po.getPOrgName());
        //if(po.getPOrgIdDirtyFlag())
        domain.setPOrgId(po.getPOrgId());
        return domain ;
    }

    /**
     * 业务对象转持久层对象
     * @param domain 业务对象
     * @param po 持久层对象
     * @return
     */
    public Org convert2PO(cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.Org domain , Org po){
        if(domain == null)
            return po ;
        if(po==null){
            po = createPO() ;
        }
        if(domain.getLevelCodeDirtyFlag())
            po.setLevelCode(domain.getLevelCode());
        if(domain.getOrgIdDirtyFlag())
            po.setOrgId(domain.getOrgId());
        if(domain.getUpdateDateDirtyFlag())
            po.setUpdateDate(domain.getUpdateDate());
        if(domain.getCreateManDirtyFlag())
            po.setCreateMan(domain.getCreateMan());
        if(domain.getOrgCodeDirtyFlag())
            po.setOrgCode(domain.getOrgCode());
        if(domain.getOrgNameDirtyFlag())
            po.setOrgName(domain.getOrgName());
        if(domain.getEnableDirtyFlag())
            po.setEnable(domain.getEnable());
        if(domain.getUpdateManDirtyFlag())
            po.setUpdateMan(domain.getUpdateMan());
        if(domain.getCreateDateDirtyFlag())
            po.setCreateDate(domain.getCreateDate());
        if(domain.getPOrgNameDirtyFlag())
            po.setPOrgName(domain.getPOrgName());
        if(domain.getPOrgIdDirtyFlag())
            po.setPOrgId(domain.getPOrgId());

        return po ;
    }
}
