package cn.ibizlab.r7.runtime.org.mybatis.r7rt_org;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;

import cn.ibizlab.r7.runtime.org.core.repository.OrgUserRepository;
import cn.ibizlab.r7.runtime.org.core.repository.po.OrgUser;
import cn.ibizlab.r7.runtime.org.core.r7rt_org.filter.OrgUserSearchContext;
import cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.mapper.T_ORGUSERMapper;
import cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.po.T_ORGUSERImpl;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.r7.runtime.org.mybatis.util.helper.QueryBuilder;


/**
 * 关系型数据实体表[T_ORGUSER]存储对象
 */
@Repository
@ConditionalOnProperty(prefix = "orguser", value="store" , havingValue = "sql", matchIfMissing = true)
public class T_ORGUSERRepositoryImpl extends ServiceImpl<T_ORGUSERMapper, T_ORGUSERImpl> implements OrgUserRepository {

    
    /**
     * mybatis条件构造器
     */
    @Autowired
    QueryBuilder queryBuilder;
    /**
     * [T_ORGUSER]持久层映射对象
     */
    @Autowired
	T_ORGUSERMapper t_ORGUSERMapper;

    /**
     * 创建持久层对象
     * @return
     */
    public OrgUser createPO(){
        return new T_ORGUSERImpl();
    }

    /**
     * 获取数据
     * @param key 业务数据主键
     * @return
     */
    public OrgUser get(String key){
        return this.getById(key);
    }

    /**
     * 新建数据
     * @param po 持久层数据对象
     * @return
     */
    public boolean create(OrgUser po){
        boolean bOk = this.save((T_ORGUSERImpl)po);
        return bOk;
    }

    /**
     * 更新数据
     * @param po 持久层数据对象
     * @return
     */
    public boolean update(OrgUser po){
        boolean bOk = this.updateById((T_ORGUSERImpl)po);
        return bOk;
    }

    /**
     * 删除数据
     * @param key 业务数据主键
     * @return
     */
    public boolean remove(String key){
        return this.removeById(key);
    }

    /**
     * 查询集合[Default]
     * @param context 查询上下文对象
     * @return
     */
    public Page<OrgUser> searchDefault(OrgUserSearchContext context){
        QueryWrapper qw=queryBuilder.buildQueryWrapper(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page page=queryBuilder.buildPage(context);
        com.baomidou.mybatisplus.extension.plugins.pagination.Page<OrgUser> page_datas=t_ORGUSERMapper.searchDefault(page,context,qw);
        List<OrgUser> list_datas=queryBuilder.page2List(page_datas);
        return new PageImpl<OrgUser>(list_datas, context.getPageable(), page_datas.getTotal());
    }

    /**
     * 持久层对象转业务对象
     * @param po 持久层对象
     * @param domain 业务对象
     * @return
     */
    public cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgUser convert2Domain( OrgUser po ,cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgUser domain){
        if(po == null)
            return domain ;
        if(domain == null){
            domain = new cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgUser();
        }
        //if(po.getCertNoDirtyFlag())
        domain.setCertNo(po.getCertNo());
        //if(po.getOrgUserNameDirtyFlag())
        domain.setOrgUserName(po.getOrgUserName());
        //if(po.getUserCodeDirtyFlag())
        domain.setUserCode(po.getUserCode());
        //if(po.getCreateManDirtyFlag())
        domain.setCreateMan(po.getCreateMan());
        //if(po.getMobilePhoneDirtyFlag())
        domain.setMobilePhone(po.getMobilePhone());
        //if(po.getUserIdDirtyFlag())
        domain.setUserId(po.getUserId());
        //if(po.getCreateDateDirtyFlag())
        domain.setCreateDate(po.getCreateDate());
        //if(po.getMemoDirtyFlag())
        domain.setMemo(po.getMemo());
        //if(po.getOrgUserIdDirtyFlag())
        domain.setOrgUserId(po.getOrgUserId());
        //if(po.getLoginNameDirtyFlag())
        domain.setLoginName(po.getLoginName());
        //if(po.getEnableDirtyFlag())
        domain.setEnable(po.getEnable());
        //if(po.getSexDirtyFlag())
        domain.setSex(po.getSex());
        //if(po.getUpdateDateDirtyFlag())
        domain.setUpdateDate(po.getUpdateDate());
        //if(po.getUpdateManDirtyFlag())
        domain.setUpdateMan(po.getUpdateMan());
        //if(po.getCertTypeDirtyFlag())
        domain.setCertType(po.getCertType());
        //if(po.getOrgNameDirtyFlag())
        domain.setOrgName(po.getOrgName());
        //if(po.getOrgIdDirtyFlag())
        domain.setOrgId(po.getOrgId());
        return domain ;
    }

    /**
     * 业务对象转持久层对象
     * @param domain 业务对象
     * @param po 持久层对象
     * @return
     */
    public OrgUser convert2PO(cn.ibizlab.r7.runtime.org.core.r7rt_org.domain.OrgUser domain , OrgUser po){
        if(domain == null)
            return po ;
        if(po==null){
            po = createPO() ;
        }
        if(domain.getCertNoDirtyFlag())
            po.setCertNo(domain.getCertNo());
        if(domain.getOrgUserNameDirtyFlag())
            po.setOrgUserName(domain.getOrgUserName());
        if(domain.getUserCodeDirtyFlag())
            po.setUserCode(domain.getUserCode());
        if(domain.getCreateManDirtyFlag())
            po.setCreateMan(domain.getCreateMan());
        if(domain.getMobilePhoneDirtyFlag())
            po.setMobilePhone(domain.getMobilePhone());
        if(domain.getUserIdDirtyFlag())
            po.setUserId(domain.getUserId());
        if(domain.getCreateDateDirtyFlag())
            po.setCreateDate(domain.getCreateDate());
        if(domain.getMemoDirtyFlag())
            po.setMemo(domain.getMemo());
        if(domain.getOrgUserIdDirtyFlag())
            po.setOrgUserId(domain.getOrgUserId());
        if(domain.getLoginNameDirtyFlag())
            po.setLoginName(domain.getLoginName());
        if(domain.getEnableDirtyFlag())
            po.setEnable(domain.getEnable());
        if(domain.getSexDirtyFlag())
            po.setSex(domain.getSex());
        if(domain.getUpdateDateDirtyFlag())
            po.setUpdateDate(domain.getUpdateDate());
        if(domain.getUpdateManDirtyFlag())
            po.setUpdateMan(domain.getUpdateMan());
        if(domain.getCertTypeDirtyFlag())
            po.setCertType(domain.getCertType());
        if(domain.getOrgNameDirtyFlag())
            po.setOrgName(domain.getOrgName());
        if(domain.getOrgIdDirtyFlag())
            po.setOrgId(domain.getOrgId());

        return po ;
    }
}
