package cn.ibizlab.r7.runtime.org.mybatis.r7rt_org.po;

import cn.ibizlab.r7.runtime.org.core.repository.po.OrgUser;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.org.util.annotation.PreField;
import cn.ibizlab.r7.runtime.org.util.enums.FillMode;
import cn.ibizlab.r7.runtime.org.util.enums.PredefinedType;

/**
 * 关系型数据实体表[OrgUser] 对象
 */
@TableName(value = "T_ORGUSER",resultMap = "T_ORGUSERResultMap")
public class T_ORGUSERImpl implements OrgUser,Serializable {

    /**
     * [证件号码]
     */
    private String certNo;
    /**
     * [证件号码]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean certNoDirtyFlag;

    /**
     * [组织用户名称]
     */
    private String orgUserName;
    /**
     * [组织用户名称]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean orgUserNameDirtyFlag;

    /**
     * [用户编号]
     */
    private String userCode;
    /**
     * [用户编号]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean userCodeDirtyFlag;

    /**
     * [建立人]
     */
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEMAN)
    private String createMan;
    /**
     * [建立人]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean createManDirtyFlag;

    /**
     * [移动电话]
     */
    private String mobilePhone;
    /**
     * [移动电话]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean mobilePhoneDirtyFlag;

    /**
     * [用户标识]
     */
    private String userId;
    /**
     * [用户标识]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean userIdDirtyFlag;

    /**
     * [建立时间]
     */
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEDATE)
    private Timestamp createDate;
    /**
     * [建立时间]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean createDateDirtyFlag;

    /**
     * [备注]
     */
    private String memo;
    /**
     * [备注]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean memoDirtyFlag;

    /**
     * [组织用户标识]
     */
    @TableId(value= "orguserid",type=IdType.UUID)
    private String orgUserId;
    /**
     * [组织用户标识]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean orgUserIdDirtyFlag;

    /**
     * [登录名]
     */
    private String loginName;
    /**
     * [登录名]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean loginNameDirtyFlag;

    /**
     * [是否启用]
     */
    private Integer enable;
    /**
     * [是否启用]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean enableDirtyFlag;

    /**
     * [性别]
     */
    private String sex;
    /**
     * [性别]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean sexDirtyFlag;

    /**
     * [更新时间]
     */
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEDATE)
    private Timestamp updateDate;
    /**
     * [更新时间]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean updateDateDirtyFlag;

    /**
     * [更新人]
     */
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEMAN)
    private String updateMan;
    /**
     * [更新人]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean updateManDirtyFlag;

    /**
     * [证件类型]
     */
    private String certType;
    /**
     * [证件类型]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean certTypeDirtyFlag;

    /**
     * [组织名称]
     */
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.ORGNAME)
    private String orgName;
    /**
     * [组织名称]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean orgNameDirtyFlag;

    /**
     * [组织标识]
     */
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.ORGID)
    private String orgId;
    /**
     * [组织标识]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean orgIdDirtyFlag;

    /**
     * 获取 [证件号码]
     */
    public String getCertNo(){
        return this.certNo ;
    }

    /**
     * 设置 [证件号码]
     */
    public void setCertNo(String  certNo){
        this.certNo = certNo ;
        this.certNoDirtyFlag = true ;
    }

    /**
     * 获取 [证件号码]脏标记
     */
    @JsonIgnore
    public boolean getCertNoDirtyFlag(){
        return this.certNoDirtyFlag ;
    }
    /**
     * 获取 [组织用户名称]
     */
    public String getOrgUserName(){
        return this.orgUserName ;
    }

    /**
     * 设置 [组织用户名称]
     */
    public void setOrgUserName(String  orgUserName){
        this.orgUserName = orgUserName ;
        this.orgUserNameDirtyFlag = true ;
    }

    /**
     * 获取 [组织用户名称]脏标记
     */
    @JsonIgnore
    public boolean getOrgUserNameDirtyFlag(){
        return this.orgUserNameDirtyFlag ;
    }
    /**
     * 获取 [用户编号]
     */
    public String getUserCode(){
        return this.userCode ;
    }

    /**
     * 设置 [用户编号]
     */
    public void setUserCode(String  userCode){
        this.userCode = userCode ;
        this.userCodeDirtyFlag = true ;
    }

    /**
     * 获取 [用户编号]脏标记
     */
    @JsonIgnore
    public boolean getUserCodeDirtyFlag(){
        return this.userCodeDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }
    /**
     * 获取 [移动电话]
     */
    public String getMobilePhone(){
        return this.mobilePhone ;
    }

    /**
     * 设置 [移动电话]
     */
    public void setMobilePhone(String  mobilePhone){
        this.mobilePhone = mobilePhone ;
        this.mobilePhoneDirtyFlag = true ;
    }

    /**
     * 获取 [移动电话]脏标记
     */
    @JsonIgnore
    public boolean getMobilePhoneDirtyFlag(){
        return this.mobilePhoneDirtyFlag ;
    }
    /**
     * 获取 [用户标识]
     */
    public String getUserId(){
        return this.userId ;
    }

    /**
     * 设置 [用户标识]
     */
    public void setUserId(String  userId){
        this.userId = userId ;
        this.userIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户标识]脏标记
     */
    @JsonIgnore
    public boolean getUserIdDirtyFlag(){
        return this.userIdDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }
    /**
     * 获取 [备注]
     */
    public String getMemo(){
        return this.memo ;
    }

    /**
     * 设置 [备注]
     */
    public void setMemo(String  memo){
        this.memo = memo ;
        this.memoDirtyFlag = true ;
    }

    /**
     * 获取 [备注]脏标记
     */
    @JsonIgnore
    public boolean getMemoDirtyFlag(){
        return this.memoDirtyFlag ;
    }
    /**
     * 获取 [组织用户标识]
     */
    public String getOrgUserId(){
        return this.orgUserId ;
    }

    /**
     * 设置 [组织用户标识]
     */
    public void setOrgUserId(String  orgUserId){
        this.orgUserId = orgUserId ;
        this.orgUserIdDirtyFlag = true ;
    }

    /**
     * 获取 [组织用户标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgUserIdDirtyFlag(){
        return this.orgUserIdDirtyFlag ;
    }
    /**
     * 获取 [登录名]
     */
    public String getLoginName(){
        return this.loginName ;
    }

    /**
     * 设置 [登录名]
     */
    public void setLoginName(String  loginName){
        this.loginName = loginName ;
        this.loginNameDirtyFlag = true ;
    }

    /**
     * 获取 [登录名]脏标记
     */
    @JsonIgnore
    public boolean getLoginNameDirtyFlag(){
        return this.loginNameDirtyFlag ;
    }
    /**
     * 获取 [是否启用]
     */
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }
    /**
     * 获取 [性别]
     */
    public String getSex(){
        return this.sex ;
    }

    /**
     * 设置 [性别]
     */
    public void setSex(String  sex){
        this.sex = sex ;
        this.sexDirtyFlag = true ;
    }

    /**
     * 获取 [性别]脏标记
     */
    @JsonIgnore
    public boolean getSexDirtyFlag(){
        return this.sexDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }
    /**
     * 获取 [证件类型]
     */
    public String getCertType(){
        return this.certType ;
    }

    /**
     * 设置 [证件类型]
     */
    public void setCertType(String  certType){
        this.certType = certType ;
        this.certTypeDirtyFlag = true ;
    }

    /**
     * 获取 [证件类型]脏标记
     */
    @JsonIgnore
    public boolean getCertTypeDirtyFlag(){
        return this.certTypeDirtyFlag ;
    }
    /**
     * 获取 [组织名称]
     */
    public String getOrgName(){
        return this.orgName ;
    }

    /**
     * 设置 [组织名称]
     */
    public void setOrgName(String  orgName){
        this.orgName = orgName ;
        this.orgNameDirtyFlag = true ;
    }

    /**
     * 获取 [组织名称]脏标记
     */
    @JsonIgnore
    public boolean getOrgNameDirtyFlag(){
        return this.orgNameDirtyFlag ;
    }
    /**
     * 获取 [组织标识]
     */
    public String getOrgId(){
        return this.orgId ;
    }

    /**
     * 设置 [组织标识]
     */
    public void setOrgId(String  orgId){
        this.orgId = orgId ;
        this.orgIdDirtyFlag = true ;
    }

    /**
     * 获取 [组织标识]脏标记
     */
    @JsonIgnore
    public boolean getOrgIdDirtyFlag(){
        return this.orgIdDirtyFlag ;
    }
}